AWorld Lab API Reference
API ReferenceApp API (Consumer)
Dashboard API (Admin)
API ReferenceApp API (Consumer)
Dashboard API (Admin)
  1. Users
  • ActivityLogs
    • Create activity log
    • List activity logs
    • Get activity log
  • Analytics
    • Get community metrics
  • Badges
    • List badge configurations
    • List badges
    • Get badge
    • List badge configuration tag assignments
    • Get badge configuration translation
    • Get badge configuration tag assignment
  • LearningGroups
    • List learning groups
    • Get learning group
    • List learning group items
    • List learning group tag assignments
    • Get learning group translation
    • Get learning group tag assignment
  • LearningPathAssignments
    • List learning path assignments
    • Get learning path assignment
    • Get current attempt
    • List learning path assignment items
    • Retry learning path assignment
    • List learning path assignment tags
    • Get learning path assignment translation
    • Get learning path assignment tag
  • Missions
    • List missions
    • Get mission
  • Quizzes
    • List quizzes
    • Get quiz
    • Submit quiz answer
    • List quiz tag assignments
    • Get quiz translation
    • Get quiz tag assignment
  • RuntimeLeaderboards
    • List runtime leaderboards
    • Get runtime leaderboard
    • Get leaderboard rankings
    • Get my ranking
  • Slides
    • List slides
    • Get slide
    • Submit slide progress
    • List slide tag assignments
    • Get slide translation
    • Get slide tag assignment
  • Streaks
    • List streaks
  • Users
    • Get current user
      GET
    • Update current user
      PATCH
    • Delete current user
      DELETE
    • List current user learning group logs
      GET
    • Get current user permissions
      GET
    • Get current user principal
      GET
    • Get current user referral code
      GET
    • Get current user stats
      GET
    • List current user tag assignments
      GET
    • Get current user tag assignment
      GET
  • VirtualBalances
    • List virtual balances
    • Get virtual balance
  • VirtualTransactions
    • List virtual transactions
    • Create virtual transaction
    • Get virtual transaction
    • Redeem virtual transaction
  • WorkspaceCodes
    • Redeem a workspace code
  • WorkspaceConfigurations
    • Get workspace configuration
  • Surveys
    • Get survey
    • Get survey progress
    • Submit survey answers
  • Schemas
    • CommunityMetricsResponse
    • CreateActivityResponse
    • CreateVirtualTransactionResponse
    • CurrentAttemptResponse
    • DeleteCurrentUserResponse
    • GetActivityLogResponse
    • GetBadgeConfigurationTagResponse
    • GetAppSurveyResponse
    • GetBadgeConfigurationTranslationResponse
    • GetBadgeResponse
    • GetCurrentUserPrincipalResponse
    • GetCurrentUserPermissionsResponse
    • GetCurrentUserReferralCodeResponse
    • GetCurrentUserResponse
    • GetCurrentUserStatsResponse
    • GetCurrentUserTagResponse
    • GetLearningGroupResponse
    • GetLearningGroupTagAssignmentResponse
    • GetLearningGroupTranslationResponse
    • GetLearningPathAssignmentResponse
    • GetLearningPathAssignmentTagResponse
    • GetLearningPathAssignmentTranslationResponse
    • GetMissionResponse
    • GetQuizResponse
    • GetQuizTagResponse
    • GetQuizTranslationResponse
    • GetRuntimeLeaderboardRankingsMeResponse
    • GetRuntimeLeaderboardRankingsResponse
    • GetRuntimeLeaderboardResponse
    • GetSlideResponse
    • GetSlideTagResponse
    • GetSlideTranslationResponse
    • GetVirtualBalanceResponse
    • GetVirtualTransactionResponse
    • GetWorkspaceConfigurationResponse
    • GetSurveyProgressResponse
    • JsonLogicExpression
    • Lang
    • ListActivityLogsResponse
    • ListBadgeConfigurationsResponse
    • ListBadgeConfigurationTagAssignmentsResponse
    • ListBadgesResponse
    • ListCurrentUserLearningGroupLogsResponse
    • ListCurrentUserTagAssignmentsResponse
    • ListLearningGroupItemsResponse
    • ListLearningGroupsResponse
    • ListLearningGroupTagAssignmentsResponse
    • ListLearningPathAssignmentItemsResponse
    • ListLearningPathAssignmentsResponse
    • ListLearningPathAssignmentTagsResponse
    • ListMissionsResponse
    • ListQuizTagAssignmentsResponse
    • ListQuizzesResponse
    • ListRuntimeLeaderboardsResponse
    • ListSlidesResponse
    • ListSlideTagAssignmentsResponse
    • ListStreaksResponse
    • ListVirtualBalancesResponse
    • ListVirtualTransactionsResponse
    • RedeemVirtualTransactionResponse
    • RedeemWorkspaceCodeResponse
    • RetryLearningPathAssignmentResponse
    • SourceRegion
    • SubmitQuizResponse
    • SubmitSlideResponse
    • Timezone
    • UpdateCurrentUserResponse
    • SubmitSurveyResponse
  1. Users

Get current user

GET
/users/me
Users
Retrieve the current authenticated user profile, with optional additional fields (tags, stats, learningGroupLogs, principal, permissions).

Request

Query Params

Responses

🟢200OK
application/json
User retrieved successfully
Body

🟠401Unauthorized
🟠404Record Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/users/me?fields'
Response Response Example
{
    "userId": "string",
    "principalId": "string",
    "externalId": "string",
    "nickname": "string",
    "profileImage": "http://example.com",
    "lang": "en",
    "timezone": "UTC",
    "role": "member",
    "status": "active",
    "referralCode": "string",
    "referredBy": "string",
    "referredCount": 0,
    "welcomeEmailRequested": true,
    "welcomeEmailSentAt": "2019-08-24T14:15:22.123Z",
    "accountId": "stringstri",
    "workspaceId": "stringstri",
    "createdAt": "2019-08-24T14:15:22.123Z",
    "updatedAt": "2019-08-24T14:15:22.123Z",
    "tags": [
        {
            "tagId": "string",
            "priority": 0,
            "createdAt": "2019-08-24T14:15:22.123Z",
            "updatedAt": "2019-08-24T14:15:22.123Z"
        }
    ],
    "principal": {
        "principalId": "string",
        "sub": "string",
        "email": "user@example.com",
        "firstName": "string",
        "lastName": "string",
        "createdAt": "2019-08-24T14:15:22.123Z",
        "updatedAt": "2019-08-24T14:15:22.123Z"
    },
    "stats": {
        "completedPaths": 0,
        "quizSuccessRate": 0,
        "learningMinutes": 0,
        "totalActivities": 0
    },
    "learningGroupLogs": {
        "items": [
            {
                "learningGroupId": "string",
                "userId": "string",
                "lang": "string",
                "progress": "COMPLETE",
                "context": "string",
                "outcome": "SUCCESS",
                "parentId": "string",
                "parentType": "learningPath",
                "items": [
                    {
                        "itemId": "string",
                        "itemType": "slide",
                        "progress": "START",
                        "outcome": "SUCCESS"
                    }
                ],
                "currentItemId": "string",
                "currentItemType": "slide",
                "startedAt": "string",
                "completedAt": "string",
                "createdAt": "string",
                "updatedAt": "string",
                "learningGroupTitle": "string",
                "learningGroupImage": "string",
                "learningGroupDescription": "string"
            }
        ],
        "nextToken": "string"
    },
    "permissions": {
        "content.read": true,
        "content.create": true,
        "content.update": true,
        "content.delete": true,
        "content.lifecycle": true,
        "content.submit": true,
        "users.manage": true,
        "workspace.manage": true,
        "analytics.read": true,
        "workspaceConfiguration.update": true
    }
}
Modified at 2026-04-02 15:44:17
Previous
List streaks
Next
Update current user
Built with